PropertySelector (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.property

## Class PropertySelector

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.property.AbstractPropertySetterTask
      - - net.sf.antcontrib.property.PropertySelector

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PropertySelector
      extends AbstractPropertySetterTask

  Place class description here.
  Since:
  Author:
    Matthew Inger,

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertySelector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `setCaseSensitive(boolean caseSensitive)`
    `void` | `setDelimiter(char delim)`
    `void` | `setDistinct(boolean distinct)`
    `void` | `setMatch(java.lang.String match)`
    `void` | `setSelect(java.lang.String select)`
    `protected void` | `validate()`

    - ### Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask

      `setOverride, setProperty, setPropertyValue`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertySelector

          public PropertySelector()

  - ### Method Detail

    - #### setMatch

          public void setMatch(java.lang.String match)

    - #### setSelect

          public void setSelect(java.lang.String select)

    - #### setCaseSensitive

          public void setCaseSensitive(boolean caseSensitive)

    - #### setDelimiter

          public void setDelimiter(char delim)

    - #### setDistinct

          public void setDistinct(boolean distinct)

    - #### validate

          protected void validate()

      Overrides:
        `validate` in class `AbstractPropertySetterTask`

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`